Пространства
Пространство
Одно пространство со свежим остатком минут. Запрашивайте перед каждой загрузкой.
GET
/
api
/
spaces
/
{space_id}
/
curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Личное пространство",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17T00:00:00Z"
}
}
{
"detail": "You do not have permission to perform this action."
}
Параметры пути
integer
обязательно
Идентификатор пространства.
Ответ
integer
Идентификатор пространства.
string
Название.
string
Тариф.
integer
Секунд на тарифе за период.
integer
Потрачено секунд.
integer
Осталось секунд.
boolean
Подписка активна.
string
Конец периода, ISO 8601.
curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Личное пространство",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17T00:00:00Z"
}
}
{
"detail": "You do not have permission to perform this action."
}
Последнее изменение 17 октября 2026 г.
⌘I
curl -X GET "https://api.aigenda.tech/api/spaces/1024/" \
-H "Authorization: Bearer <access>"
import requests
response = requests.get(
"https://api.aigenda.tech/api/spaces/1024/",
headers={"Authorization": "Bearer <access>"},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/spaces/1024/", {
method: "GET",
headers: { Authorization: "Bearer <access>" },
});
const data = await response.json();
console.log(data);
{
"id": 1024,
"name": "Личное пространство",
"description": "Main space",
"subscribe": {
"offer": {
"name": "PRO",
"audio_limit": 72000
},
"usage_count": 5400,
"available_usage_count": 66600,
"is_active": true,
"end_date": "2026-11-17T00:00:00Z"
}
}
{
"detail": "You do not have permission to perform this action."
}